Bug 446724 (CVE-2008-1105) - CVE-2008-1105 Samba client buffer overflow
Summary: CVE-2008-1105 Samba client buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-1105
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 446727 446728 446729 446730 446731 446732 446959
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-15 19:19 UTC by Josh Bressers
Modified: 2019-09-29 12:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-16 13:48:21 UTC


Attachments (Terms of Use)
Proposed upstream patch for Samba 3.0 (5.08 KB, patch)
2008-05-15 20:08 UTC, Josh Bressers
no flags Details | Diff
Updated upstream patch for Samba 3.0 (5.64 KB, patch)
2008-05-16 06:34 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0288 normal SHIPPED_LIVE Critical: samba security update 2008-05-28 11:04:11 UTC
Red Hat Product Errata RHSA-2008:0289 normal SHIPPED_LIVE Critical: samba security update 2008-05-28 11:11:02 UTC
Red Hat Product Errata RHSA-2008:0290 normal SHIPPED_LIVE Critical: samba security and bug fix update 2008-05-28 11:20:30 UTC

Description Josh Bressers 2008-05-15 19:19:22 UTC
Alin Rad Pop of Secunia Research discovered a heap based buffer overflow flaw in
the Samba client library.  A boundary error in the receive_smb_raw() function
could allow an overly large SMB packet to execute arbitrary code as the user
running the client.

Acknowledgements:

Red Hat would like to thank Alin Rad Pop of Secunia Research for responsibly disclosing this issue.

Comment 2 Josh Bressers 2008-05-15 20:08:03 UTC
Created attachment 305534 [details]
Proposed upstream patch for Samba 3.0

Comment 3 Tomas Hoger 2008-05-16 06:34:58 UTC
Created attachment 305636 [details]
Updated upstream patch for Samba 3.0

Corrects the comment in lib/util_sock.c to remove the incorrect function
contract description. No other functional change to the previous patch.

Comment 8 Tomas Hoger 2008-05-28 10:42:47 UTC
Public now, lifting embargo:

  http://secunia.com/advisories/30228/
  http://secunia.com/secunia_research/2008-20/advisory/


Comment 9 Fedora Update System 2008-05-28 14:20:49 UTC
samba-3.2.0-1.rc1.14.fc9 has been submitted as an update for Fedora 9

Comment 10 Tomas Hoger 2008-05-28 15:04:36 UTC
Upstream released samba 3.0.30 to address this flaw:

  http://www.samba.org/samba/security/CVE-2008-1105.html

Comment 13 Fedora Update System 2008-05-31 02:11:24 UTC
samba-3.0.30-0.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2008-05-31 02:13:49 UTC
samba-3.2.0-1.rc1.14.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-05-31 02:17:24 UTC
samba-3.0.28a-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.